{
  description = "mcdeploy - Metacircular Deployment Tool";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-25.11";
  };

  outputs =
    { self, nixpkgs }:
    let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
      version = "0.1.0";
    in
    {
      packages.${system} = {
        default = pkgs.buildGoModule {
          pname = "mcdeploy";
          inherit version;
          src = ./.;
          vendorHash = "sha256-C2pSj/1UZei+Us78cCIwbz76fRtjQxFioZiIDypGgns=";
          ldflags = [
            "-s"
            "-w"
          ];
        };
      };
    };
}
